# SDK Setup

### **Add the JitPack repository to your build file:**

```
Add it in your root build.gradle at the end of repositories.

allprojects {
    repositories {
        ...
        maven {
            url 'https://jitpack.io'
            credentials { username authToken }
        }
    }
}
```

***

### **Add the token to `gradle.properties`:**

```
authToken=jp_45kf9tvkijvd9c7cf34mehj1b6
```

***

### **Add the dependency:**

```
Set Accura SDK as a dependency to our app/build.gradle file.

android {

    defaultConfig {
        ...
        ndk {
            // Specify CPU architecture.
            // 'armeabi-v7a' & 'arm64-v8a' are respectively 32 bit and 64 bit device architecture 
            // 'x86' & 'x86_64' are respectively 32 bit and 64 bit emulator architecture
            abiFilters 'armeabi-v7a', 'arm64-v8a', 'x86', 'x86_64'
        }
    }
    compileOptions {
        coreLibraryDesugaringEnabled true
        sourceCompatibility JavaVersion.VERSION_17
        targetCompatibility JavaVersion.VERSION_17
    }
	
}
dependencies {
    ...

    coreLibraryDesugaring 'com.android.tools:desugar_jdk_libs:1.1.5'
    // Accura Finger
    implementation 'com.github.accurascan:AccuraFingerSDK:1.0.6'
}
```

***

### **Add files to project assets folder:**

```
Create "assets" folder under app/src/main and Add license file in to assets folder.
- key.license
Generate your Accura license from https://accurascan.com/developer/dashboard
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.accurascan.com/solutions/finger-biometrics/android/sdk-setup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
